Browse documentation
Webhooks

Create Endpoint

post/v1/webhook_endpoints

Create Endpoint

Authentication

Send your tenant secret key as a Bearer token. Keep secret keys on your server; never ship them in browser or mobile code.

Request body

JSON · required

events
WebhookEvent[]required

No additional field description.

url
stringrequired

No additional field description.

Example request

cURL
curl --request POST \
  --url 'https://api.fideralabs.com/v1/webhook_endpoints' \
  --header 'Authorization: Bearer $FIDERA_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "events": [
    "string"
  ],
  "url": "string"
}'

Responses

201Successful Response
created_at
stringrequired

No additional field description.

enabled
booleanrequired

No additional field description.

events
string[]required

No additional field description.

id
stringrequired

No additional field description.

signing_secret
string | null

No additional field description.

updated_at
stringrequired

No additional field description.

url
stringrequired

No additional field description.

application/json
{
  "created_at": "2026-07-29T12:00:00Z",
  "enabled": true,
  "events": [
    "string"
  ],
  "id": "00000000-0000-0000-0000-000000000000",
  "signing_secret": "string",
  "updated_at": "2026-07-29T12:00:00Z",
  "url": "string"
}
422Validation Error
detail
ValidationError[]

No additional field description.

Operation ID

create_endpoint_v1_webhook_endpoints_post